BulletinsQlikMaps Bulletins Articles2016 June 24: Hotfix for "This page was unable to display a Google Maps element"

2016 June 24: Hotfix for "This page was unable to display a Google Maps element"

QlikMaps Software Bulletin 2016 June 24

A update to the Google Maps API used by QlikMaps may have an impact on your QlikMaps implementation. QlikMaps uses the Google Maps API for Google searches and Google Streetview.


How do I know if I am affected?

Most environments are not affected by this Google Maps API update. However, in some environments, some users may experience an popup while using QlikMaps that says something like, “This page was unable to display a Google Maps element.”

 

How do I prevent QlikMaps from showing the popup?

We have hotfixed all 2.x releases of QlikMaps on the download site, so a full upgrade is not necessary. Simply install any version from the download site on top of your existing QlikMaps installation. For example, if you are running QlikMaps 2.2 and do not want to upgrade to QlikMaps 2.6, then you would download and install QlikMaps 2.2 that includes the hotfix.


How can I trust the reliability of the hotfix?

The core QlikMaps codebase has not changed within each QlikMaps version. Only a small, low risk portion of the code was changed to handle the new Google Maps API change.


What if I still have questions or concerns?

Contact your account manager, reseller, or us directly at http://support.analytics8.com.